// Stereopositionierung - Version 1.0

// Dieses Programm legt die Audiolautstrke des ersten Satzes an Popup-mens
// auf die X-Position der Ebene in Popup-Men 2 fest. Diese wird so skaliert, da sie innerhalb des Bereiches [min_DB, max_DB] liegt.
// Keyframes werden nur whrend der Dauer der Audioebene angewendet.
// EBENE										EIGENSCHAFT					KANAL
// ------										----------				--------
// 1: Ebene mit Audio						Audiolautstrke			nicht relevant
// 2: Ebene mit Positionsdaten			nicht relevant			nicht relevant

min_DB = -18;
max_DB = 3;

if (time() == start_time) {	//initialization
	audio_in	= layer_time_bounds(pop_layer(2))[0] ;
	audio_out	= layer_time_bounds(pop_layer(2))[1] ;
}

if ( (time() >= audio_in) && (time() <= audio_out) ) {

	pos =  value(pop_layer(2), position);

	if (pos[X] > comp_size) {
		pos[X] = comp_size[0];
	}

	if (pos[X] < 0) { 
		pos[X] = 0;
	} 

	left_interp = pos[X] / comp_size[0];
	right_interp = 1.0 - left_interp;

	//Left Channel
	value(pop_layer(1), pop_property(1)) [0] = left_interp * (max_DB - min_DB) + min_DB;

	//Right Channel
	value(pop_layer(1),pop_property(1)) [1] = right_interp * (max_DB - min_DB) + min_DB;
} 
